import 'package:flutter/material.dart';
import 'package:lba/res/colors.dart';
import 'package:lba/widgets/button.dart';
import 'package:lba/widgets/profile_app_bar.dart';

class TransactionsWalletsPage extends StatelessWidget {
  const TransactionsWalletsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.scaffoldBackground,
      appBar: const ProfileAppBar(
        title: 'Transactions & Wallets',
        showBackButton: true,
      ),
      body: Center(
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 20.0),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SizedBox(height: 30,),
              Text(
                'Current Balance',
                style: TextStyle(
                  fontSize: 18,
                  fontWeight: FontWeight.bold,
                  color: AppColors.textPrimary,
                ),
              ),
              const SizedBox(height: 16),
              Text(
                '300 AED',
                style: TextStyle(
                  fontSize: 17,
                  fontWeight: FontWeight.normal,
                  color: AppColors.textPrimary,
                ),
              ),
              const SizedBox(height: 32),
              SizedBox(
                child: Button(
                  text: "Credit increase",
                  onPressed: () {
                    // Action for increasing credit
                  },
                  color: AppColors.confirmButton,
                ),
              ),
              const Spacer(),
            ],
          ),
        ),
      ),
    );
  }
}